#!/bin/sh -e
# /etc/acpi/lidbtn.sh
# Initiates a sleep S1 if the display lid is closed.
# Wake up by pressing on/off button.

if [ ! -e /var/lock/lid ]; then
#	create lock file
	touch /var/lock/lid
#       reset the hardware clock to the system clock
        hwclock --systohc
#	put the notebook to sleep
	echo -n 1 > /proc/acpi/sleep
else
#	next lid event removes lock file
	rm /var/lock/lid
fi
