#!/bin/sh -e
# /etc/acpi/poweroff.sh
# Initiates a shutdown when the power putton has been
# pressed and the notebook isn't in sleep S1 mode from
# closing display lid.

if [ ! -e /var/lock/lid ]; then
	/sbin/init 0
else
#	work around bug in USB re-initialization after sleep
	/etc/init.d/murasaki stop
	rmmod uhci
	/etc/init.d/murasaki start
#	reset the system clock to the hardware clock
	hwclock --hctosys
fi
